export declare class Accordion {
    element: HTMLElement;
    open: boolean;
    iconColor: string;
    blur: number;
    expander: HTMLElement;
    observer: MutationObserver;
    /**
     * Override
     */
    componentWillLoad(): void;
    /**
     * Override
     */
    componentDidLoad(): void;
    /**
     * Override
     */
    componentWillUnload(): void;
    refresh(): Promise<void>;
    /**
     * Switch the open state
     */
    private handleClick;
    /**
     * Attach the observer
     */
    private attachObserver;
    /**
     * Return the expander class depending on the open state
     */
    private getCurrentClasses;
    /**
     * Return the css class whether it's open or not
     */
    private openClass;
    render(): any;
}
